package oauth_provider

import (
	"context"

	"git.noahlan.cn/n-admin/n-admin-server/rpc/core/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/rpc/core/types/core"
)

type OauthCallbackLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewOauthCallbackLogic(ctx context.Context, svcCtx *svc.ServiceContext) *OauthCallbackLogic {
	return &OauthCallbackLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *OauthCallbackLogic) OauthCallback(in *core.CallbackReq) (*core.UserInfo, error) {
	// todo: add your logic here and delete this line

	return &core.UserInfo{}, nil
}
